﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Infragistics.Web.Mvc;
using MVC5_Project.Models;

namespace MVC5_Project.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/
        public ActionResult Index()
        {

            List<Customer> list = new List<Customer>();
            for (int i = 0; i < 100; i++)
            {
                list.Add(new Customer() { ID = i, Name = "Name" + i, IsActive = true });
            }

            return View(list.AsQueryable());
        }

        [GridDataSourceAction]
        public ActionResult GetData()
        {

            List<Customer> list = new List<Customer>();

            for (int i = 0; i < 100; i++)
            {
                list.Add(new Customer() { ID = i, Name = "Name" + i, IsActive = true });
            }
            return View("Index", list.AsQueryable());
        }

    }
}